## EMBOSS: eclique

# Program eclique

## Function

Conversion of PHYLIP's clique

## Description

ECLIQUE -- Embossified Compatibility Program

Phylip clique documentation.

## Usage

Here is a sample session with eclique using the data:-

         5    6
    Alpha     110110
    Beta      110000
    Gamma     100110
    Delta     001001
    Epsilon   001110

    % eclique test

    Largest clique program
    Output file [eclique.outfile]: stdout
    Create a tree file [Y]:
    Outgroup root [N]:

    Largest clique program, version 3.573c

    Largest Cliques
    ------- -------

    Characters: (  1  2  3  6)

      Tree and characters:

         2  1  3  6
         0  0  1  1

                 +1-Delta
           +0--1-+
      +--0-+     +--Epsilon
      !    !
      !    +--------Gamma
      !
      +-------------Alpha
      !
      +-------------Beta

    remember: this is an unrooted tree!

    % more eclique.treefile
    (((Delta,Epsilon),Gamma),Alpha,Beta);

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-infile]            infile     file to read in
      [-outfile]           outfile    Output file name
      [-[no]trout]         bool       Create a tree file
    *  -cliqminnum         integer    Minimum clique size
       -og                 bool       Outgroup root
    *  -outgnum            integer    number of the outgroup

       Optional qualifiers:
       -[no]drawtree       bool       Draw tree
       -ancestral          bool       Use ancestral states in input file
       -minclique          bool       Use minimum clique size
       -printdata          bool       Print out the data at start of run
       -progress           bool       Print indications of progress of run
       -matrixout          bool       Print out compatibility matrix

       Advanced qualifiers:
       -treefile           outfile    tree file name

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | file to read in | Input file | Required
[-outfile] (Parameter 2) | Output file name | Output file | eclique.outfile
[-[no]trout] (Parameter 3) | Create a tree file | Yes/No | Yes
-cliqminnum | Minimum clique size | Any integer value | 1
-og | Outgroup root | Yes/No | No
-outgnum | number of the outgroup | Integer 1 or more | 1
Optional qualifiers | Allowed values | Default
-[no]drawtree | Draw tree | Yes/No | Yes
-ancestral | Use ancestral states in input file | Yes/No | No
-minclique | Use minimum clique size | Yes/No | No
-printdata | Print out the data at start of run | Yes/No | No
-progress | Print indications of progress of run | Yes/No | No
-matrixout | Print out compatibility matrix | Yes/No | No
Advanced qualifiers | Allowed values | Default
-treefile | tree file name | Output file | eclique.treefile

## Input file format

## Output file format

## Data files

## Notes

## References

## Warnings

## Diagnostics

## Exit status

## Known bugs

## See also

## Author(s)

(c) Copyright 1986-1993 by Joseph Felsenstein and by the University of Washington. Written by Joseph Felsenstein. Permission is granted to copy this document provided that no fee is charged for it and that this copyright notice is not removed.

This application was modified for inclusion in EMBOSS by Ian Longden (il@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## Priority

## Target users

## Comments